<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Ajax extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		$this->load->helper("url");
		$this->load->library("session");
		$this->load->model("sayitdb");
	}

	public function check_login()
	{
		$result= $this->sayitdb->check_login($this->input->post('email'),$this->input->post('password'));
		if ($result->num_rows()==0) return;
		
		$this->session->set_userdata('user_id',$result->row()->id);
		echo "1";
	}

	public function logout()
	{
		$this->session->unset_userdata('user_id');
		redirect("/login");
	}


	function _filter_text($topic,$limit)
	{
		$topic= trim($topic);                     // take spaces off of front and back
		$topic= preg_replace('/\s+/',' ',$topic); // remove multiple consecutive spaces
		$topic= preg_replace('/(http\:\/\/|https\:\/\/){0,1}(\w|\.)+\.(com|edu|net|org|gov|me|info)/i','',$topic); // remove URLs
		$topic= filter_var($topic,FILTER_SANITIZE_STRING);  // filter out tags, etc.
		$topic= substr($topic,0,$limit);              // chop off string at 25 chars
		if ($limit<=25)
		{
			$topic= strtolower($topic);     // make lower case
			$topic= ucwords($topic);        // apply camelcase
		}
		return $topic;
	}


	function get_posts()
	{
		$topic= $this->_filter_text($_POST['topic'],25);
		$results= $this->sayitdb->get_posts($topic);
		foreach ($results->result() as $row) {
			echo "<section><span class=\"topic\">{$row->topic}</span> {$row->text} <span class=\"ts\"> (".$row->ts.")</span></section>\n";
		}
	}


	function save_post()
	{
		$topic= $this->_filter_text($_POST['topic'],25);
		$text= $this->_filter_text($_POST['text'],500);

		if ($topic=='' || $text=='')
			echo "ERROR: Must specify a topic and text";
		else 
		{
			$this->sayitdb->save_post($topic,$text);
			echo "Success!";
		}
	}
}
